/*===========================================================================*/
/*   (Llib/binary.scm)                                                       */
/*   Bigloo (4.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 19 09:11:58 AM CET 2026     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.7a/bin/bigloo -srfi bigloo-safe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.7a/lib/bigloo/4.7a +rm -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -stdc -c Llib/binary.scm -indent -o objs/obj_s/Llib/binary.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___BINARY_TYPE_DEFINITIONS
#define BGL___BINARY_TYPE_DEFINITIONS
#endif // BGL___BINARY_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_z62inputzd2stringzb0zz__binaryz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62closezd2binaryzd2portz62zz__binaryz00(obj_t, obj_t);
static obj_t BGl_z62outputzd2bytezb0zz__binaryz00(obj_t, obj_t, obj_t);
extern obj_t append_output_binary_file(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__binaryz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_inputzd2stringzd2zz__binaryz00(obj_t, int);
static obj_t BGl_z62openzd2inputzd2binaryzd2filezb0zz__binaryz00(obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62outputzd2stringzb0zz__binaryz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62appendzd2outputzd2binaryzd2filezb0zz__binaryz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__intextz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern int bgl_input_fill_string(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_closezd2binaryzd2portz00zz__binaryz00(obj_t);
extern obj_t output_obj(obj_t, obj_t);
extern unsigned char BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(long);
BGL_EXPORTED_DECL obj_t BGl_outputzd2objzd2zz__binaryz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_outputzd2charzd2zz__binaryz00(obj_t, unsigned char);
extern obj_t input_obj(obj_t);
static obj_t BGl_genericzd2initzd2zz__binaryz00(void);
extern obj_t bgl_flush_binary_port(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__binaryz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__binaryz00(void);
extern obj_t open_input_binary_file(obj_t);
BGL_EXPORTED_DECL obj_t BGl_appendzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
static obj_t BGl_objectzd2initzd2zz__binaryz00(void);
BGL_EXPORTED_DECL int BGl_inputzd2fillzd2stringz12z12zz__binaryz00(obj_t, obj_t);
extern obj_t bgl_input_string(obj_t, int);
static obj_t BGl_z62binaryzd2portzf3z43zz__binaryz00(obj_t, obj_t);
static obj_t BGl_z62inputzd2objzb0zz__binaryz00(obj_t, obj_t);
static obj_t BGl_z62outputzd2objzb0zz__binaryz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62flushzd2binaryzd2portz62zz__binaryz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_outputzd2bytezd2zz__binaryz00(obj_t, char);
extern int bgl_output_string(obj_t, obj_t);
static obj_t BGl_z62inputzd2fillzd2stringz12z70zz__binaryz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
static obj_t BGl_z62openzd2outputzd2binaryzd2filezb0zz__binaryz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_binaryzd2portzf3z21zz__binaryz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_inputzd2charzd2zz__binaryz00(obj_t);
static obj_t BGl_methodzd2initzd2zz__binaryz00(void);
extern obj_t open_output_binary_file(obj_t);
BGL_EXPORTED_DECL obj_t BGl_inputzd2objzd2zz__binaryz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_flushzd2binaryzd2portz00zz__binaryz00(obj_t);
static obj_t BGl_z62inputzd2charzb0zz__binaryz00(obj_t, obj_t);
extern obj_t close_binary_port(obj_t);
static obj_t BGl_z62outputzd2charzb0zz__binaryz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_outputzd2stringzd2zz__binaryz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE(BGl_inputzd2stringzd2envz00zz__binaryz00, BgL_bgl_za762inputza7d2strin1680z00, BGl_z62inputzd2stringzb0zz__binaryz00, 0L, BUNSPEC, 2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_binaryzd2portzf3zd2envzf3zz__binaryz00, BgL_bgl_za762binaryza7d2port1681z00, BGl_z62binaryzd2portzf3z43zz__binaryz00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_outputzd2stringzd2envz00zz__binaryz00, BgL_bgl_za762outputza7d2stri1682z00, BGl_z62outputzd2stringzb0zz__binaryz00, 0L, BUNSPEC, 2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_flushzd2binaryzd2portzd2envzd2zz__binaryz00, BgL_bgl_za762flushza7d2binar1683z00, BGl_z62flushzd2binaryzd2portz62zz__binaryz00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_openzd2outputzd2binaryzd2filezd2envz00zz__binaryz00, BgL_bgl_za762openza7d2output1684z00, BGl_z62openzd2outputzd2binaryzd2filezb0zz__binaryz00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_outputzd2charzd2envz00zz__binaryz00, BgL_bgl_za762outputza7d2char1685z00, BGl_z62outputzd2charzb0zz__binaryz00, 0L, BUNSPEC, 2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_inputzd2charzd2envz00zz__binaryz00, BgL_bgl_za762inputza7d2charza71686za7, BGl_z62inputzd2charzb0zz__binaryz00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_outputzd2objzd2envz00zz__binaryz00, BgL_bgl_za762outputza7d2objza71687za7, BGl_z62outputzd2objzb0zz__binaryz00, 0L, BUNSPEC, 2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_appendzd2outputzd2binaryzd2filezd2envz00zz__binaryz00, BgL_bgl_za762appendza7d2outp1688z00, BGl_z62appendzd2outputzd2binaryzd2filezb0zz__binaryz00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_inputzd2fillzd2stringz12zd2envzc0zz__binaryz00, BgL_bgl_za762inputza7d2fillza71689za7, BGl_z62inputzd2fillzd2stringz12z70zz__binaryz00, 0L, BUNSPEC, 2);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_inputzd2objzd2envz00zz__binaryz00, BgL_bgl_za762inputza7d2objza7b1690za7, BGl_z62inputzd2objzb0zz__binaryz00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_closezd2binaryzd2portzd2envzd2zz__binaryz00, BgL_bgl_za762closeza7d2binar1691z00, BGl_z62closezd2binaryzd2portz62zz__binaryz00, 0L, BUNSPEC, 1);
BGL_DEFINE_STRING(BGl_string1661z00zz__binaryz00, BgL_bgl_string1661za700za7za7_1692za7, "/tmp/bigloo/runtime/Llib/binary.scm", 35 );
BGL_DEFINE_STRING(BGl_string1662z00zz__binaryz00, BgL_bgl_string1662za700za7za7_1693za7, "&open-output-binary-file", 24 );
BGL_DEFINE_STRING(BGl_string1663z00zz__binaryz00, BgL_bgl_string1663za700za7za7_1694za7, "bstring", 7 );
BGL_DEFINE_STRING(BGl_string1664z00zz__binaryz00, BgL_bgl_string1664za700za7za7_1695za7, "&append-output-binary-file", 26 );
BGL_DEFINE_STRING(BGl_string1665z00zz__binaryz00, BgL_bgl_string1665za700za7za7_1696za7, "&open-input-binary-file", 23 );
BGL_DEFINE_STRING(BGl_string1666z00zz__binaryz00, BgL_bgl_string1666za700za7za7_1697za7, "&close-binary-port", 18 );
BGL_DEFINE_STRING(BGl_string1667z00zz__binaryz00, BgL_bgl_string1667za700za7za7_1698za7, "binary-port", 11 );
BGL_DEFINE_STRING(BGl_string1668z00zz__binaryz00, BgL_bgl_string1668za700za7za7_1699za7, "&flush-binary-port", 18 );
BGL_DEFINE_STRING(BGl_string1669z00zz__binaryz00, BgL_bgl_string1669za700za7za7_1700za7, "&input-obj", 10 );
BGL_DEFINE_STRING(BGl_string1670z00zz__binaryz00, BgL_bgl_string1670za700za7za7_1701za7, "&output-obj", 11 );
BGL_DEFINE_STRING(BGl_string1671z00zz__binaryz00, BgL_bgl_string1671za700za7za7_1702za7, "&output-char", 12 );
BGL_DEFINE_STRING(BGl_string1672z00zz__binaryz00, BgL_bgl_string1672za700za7za7_1703za7, "bchar", 5 );
BGL_DEFINE_STRING(BGl_string1673z00zz__binaryz00, BgL_bgl_string1673za700za7za7_1704za7, "&output-byte", 12 );
BGL_DEFINE_STRING(BGl_string1674z00zz__binaryz00, BgL_bgl_string1674za700za7za7_1705za7, "bint", 4 );
BGL_DEFINE_STRING(BGl_string1675z00zz__binaryz00, BgL_bgl_string1675za700za7za7_1706za7, "&input-char", 11 );
BGL_DEFINE_STRING(BGl_string1676z00zz__binaryz00, BgL_bgl_string1676za700za7za7_1707za7, "&output-string", 14 );
BGL_DEFINE_STRING(BGl_string1677z00zz__binaryz00, BgL_bgl_string1677za700za7za7_1708za7, "&input-string", 13 );
BGL_DEFINE_STRING(BGl_string1678z00zz__binaryz00, BgL_bgl_string1678za700za7za7_1709za7, "&input-fill-string!", 19 );
BGL_DEFINE_STRING(BGl_string1679z00zz__binaryz00, BgL_bgl_string1679za700za7za7_1710za7, "__binary", 8 );
DEFINE_EXPORT_BGL_PROCEDURE(BGl_openzd2inputzd2binaryzd2filezd2envz00zz__binaryz00, BgL_bgl_za762openza7d2inputza71711za7, BGl_z62openzd2inputzd2binaryzd2filezb0zz__binaryz00, 0L, BUNSPEC, 1);
DEFINE_EXPORT_BGL_PROCEDURE(BGl_outputzd2bytezd2envz00zz__binaryz00, BgL_bgl_za762outputza7d2byte1712z00, BGl_z62outputzd2bytezb0zz__binaryz00, 0L, BUNSPEC, 2);

/* contant bindings */
static void bgl_constant_bindings() {
BGL_BIND_PROCEDURE(BGl_outputzd2bytezd2envz00zz__binaryz00, BgL_bgl_za762outputza7d2byte1712z00);
BGL_BIND_PROCEDURE(BGl_openzd2inputzd2binaryzd2filezd2envz00zz__binaryz00, BgL_bgl_za762openza7d2inputza71711za7);
BGL_BIND_STRING(BGl_string1679z00zz__binaryz00, BgL_bgl_string1679za700za7za7_1710za7);
BGL_BIND_STRING(BGl_string1678z00zz__binaryz00, BgL_bgl_string1678za700za7za7_1709za7);
BGL_BIND_STRING(BGl_string1677z00zz__binaryz00, BgL_bgl_string1677za700za7za7_1708za7);
BGL_BIND_STRING(BGl_string1676z00zz__binaryz00, BgL_bgl_string1676za700za7za7_1707za7);
BGL_BIND_STRING(BGl_string1675z00zz__binaryz00, BgL_bgl_string1675za700za7za7_1706za7);
BGL_BIND_STRING(BGl_string1674z00zz__binaryz00, BgL_bgl_string1674za700za7za7_1705za7);
BGL_BIND_STRING(BGl_string1673z00zz__binaryz00, BgL_bgl_string1673za700za7za7_1704za7);
BGL_BIND_STRING(BGl_string1672z00zz__binaryz00, BgL_bgl_string1672za700za7za7_1703za7);
BGL_BIND_STRING(BGl_string1671z00zz__binaryz00, BgL_bgl_string1671za700za7za7_1702za7);
BGL_BIND_STRING(BGl_string1670z00zz__binaryz00, BgL_bgl_string1670za700za7za7_1701za7);
BGL_BIND_STRING(BGl_string1669z00zz__binaryz00, BgL_bgl_string1669za700za7za7_1700za7);
BGL_BIND_STRING(BGl_string1668z00zz__binaryz00, BgL_bgl_string1668za700za7za7_1699za7);
BGL_BIND_STRING(BGl_string1667z00zz__binaryz00, BgL_bgl_string1667za700za7za7_1698za7);
BGL_BIND_STRING(BGl_string1666z00zz__binaryz00, BgL_bgl_string1666za700za7za7_1697za7);
BGL_BIND_STRING(BGl_string1665z00zz__binaryz00, BgL_bgl_string1665za700za7za7_1696za7);
BGL_BIND_STRING(BGl_string1664z00zz__binaryz00, BgL_bgl_string1664za700za7za7_1695za7);
BGL_BIND_STRING(BGl_string1663z00zz__binaryz00, BgL_bgl_string1663za700za7za7_1694za7);
BGL_BIND_STRING(BGl_string1662z00zz__binaryz00, BgL_bgl_string1662za700za7za7_1693za7);
BGL_BIND_STRING(BGl_string1661z00zz__binaryz00, BgL_bgl_string1661za700za7za7_1692za7);
BGL_BIND_PROCEDURE(BGl_closezd2binaryzd2portzd2envzd2zz__binaryz00, BgL_bgl_za762closeza7d2binar1691z00);
BGL_BIND_PROCEDURE(BGl_inputzd2objzd2envz00zz__binaryz00, BgL_bgl_za762inputza7d2objza7b1690za7);
BGL_BIND_PROCEDURE(BGl_inputzd2fillzd2stringz12zd2envzc0zz__binaryz00, BgL_bgl_za762inputza7d2fillza71689za7);
BGL_BIND_PROCEDURE(BGl_appendzd2outputzd2binaryzd2filezd2envz00zz__binaryz00, BgL_bgl_za762appendza7d2outp1688z00);
BGL_BIND_PROCEDURE(BGl_outputzd2objzd2envz00zz__binaryz00, BgL_bgl_za762outputza7d2objza71687za7);
BGL_BIND_PROCEDURE(BGl_inputzd2charzd2envz00zz__binaryz00, BgL_bgl_za762inputza7d2charza71686za7);
BGL_BIND_PROCEDURE(BGl_outputzd2charzd2envz00zz__binaryz00, BgL_bgl_za762outputza7d2char1685z00);
BGL_BIND_PROCEDURE(BGl_openzd2outputzd2binaryzd2filezd2envz00zz__binaryz00, BgL_bgl_za762openza7d2output1684z00);
BGL_BIND_PROCEDURE(BGl_flushzd2binaryzd2portzd2envzd2zz__binaryz00, BgL_bgl_za762flushza7d2binar1683z00);
BGL_BIND_PROCEDURE(BGl_outputzd2stringzd2envz00zz__binaryz00, BgL_bgl_za762outputza7d2stri1682z00);
BGL_BIND_PROCEDURE(BGl_binaryzd2portzf3zd2envzf3zz__binaryz00, BgL_bgl_za762binaryza7d2port1681z00);
BGL_BIND_PROCEDURE(BGl_inputzd2stringzd2envz00zz__binaryz00, BgL_bgl_za762inputza7d2strin1680z00);
}

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__binaryz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long BgL_checksumz00_2051, char * BgL_fromz00_2052)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__binaryz00))
{ 
BGl_requirezd2initializa7ationz75zz__binaryz00 = 
BBOOL(((bool_t)0)); 
bgl_constant_bindings(); 
BGl_gczd2rootszd2initz00zz__binaryz00(); 
BGl_importedzd2moduleszd2initz00zz__binaryz00(); 
return 
BGl_methodzd2initzd2zz__binaryz00();}  else 
{ 
return BUNSPEC;} } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__binaryz00(void)
{
{ /* Llib/binary.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* binary-port? */
BGL_EXPORTED_DEF bool_t BGl_binaryzd2portzf3z21zz__binaryz00(obj_t BgL_objz00_3)
{
{ /* Llib/binary.scm 138 */
return 
BINARY_PORTP(BgL_objz00_3);} 

}



/* &binary-port? */
obj_t BGl_z62binaryzd2portzf3z43zz__binaryz00(obj_t BgL_envz00_1982, obj_t BgL_objz00_1983)
{
{ /* Llib/binary.scm 138 */
return 
BBOOL(
BGl_binaryzd2portzf3z21zz__binaryz00(BgL_objz00_1983));} 

}



/* open-output-binary-file */
BGL_EXPORTED_DEF obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_strz00_4)
{
{ /* Llib/binary.scm 144 */
BGL_TAIL return 
open_output_binary_file(BgL_strz00_4);} 

}



/* &open-output-binary-file */
obj_t BGl_z62openzd2outputzd2binaryzd2filezb0zz__binaryz00(obj_t BgL_envz00_1984, obj_t BgL_strz00_1985)
{
{ /* Llib/binary.scm 144 */
{ /* Llib/binary.scm 145 */
 obj_t BgL_auxz00_2065;
if(
STRINGP(BgL_strz00_1985))
{ /* Llib/binary.scm 145 */
BgL_auxz00_2065 = BgL_strz00_1985
; }  else 
{ 
 obj_t BgL_auxz00_2068;
BgL_auxz00_2068 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1661z00zz__binaryz00, 
BINT(5623L), BGl_string1662z00zz__binaryz00, BGl_string1663z00zz__binaryz00, BgL_strz00_1985); 
FAILURE(BgL_auxz00_2068,BFALSE,BFALSE);} 
return 
BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(BgL_auxz00_2065);} } 

}



/* append-output-binary-file */
BGL_EXPORTED_DEF obj_t BGl_appendzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_strz00_5)
{
{ /* Llib/binary.scm 150 */
BGL_TAIL return 
append_output_binary_file(BgL_strz00_5);} 

}



/* &append-output-binary-file */
obj_t BGl_z62appendzd2outputzd2binaryzd2filezb0zz__binaryz00(obj_t BgL_envz00_1986, obj_t BgL_strz00_1987)
{
{ /* Llib/binary.scm 150 */
{ /* Llib/binary.scm 151 */
 obj_t BgL_auxz00_2074;
if(
STRINGP(BgL_strz00_1987))
{ /* Llib/binary.scm 151 */
BgL_auxz00_2074 = BgL_strz00_1987
; }  else 
{ 
 obj_t BgL_auxz00_2077;
BgL_auxz00_2077 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1661z00zz__binaryz00, 
BINT(5921L), BGl_string1664z00zz__binaryz00, BGl_string1663z00zz__binaryz00, BgL_strz00_1987); 
FAILURE(BgL_auxz00_2077,BFALSE,BFALSE);} 
return 
BGl_appendzd2outputzd2binaryzd2filezd2zz__binaryz00(BgL_auxz00_2074);} } 

}



/* open-input-binary-file */
BGL_EXPORTED_DEF obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_strz00_6)
{
{ /* Llib/binary.scm 156 */
BGL_TAIL return 
open_input_binary_file(BgL_strz00_6);} 

}



/* &open-input-binary-file */
obj_t BGl_z62openzd2inputzd2binaryzd2filezb0zz__binaryz00(obj_t BgL_envz00_1988, obj_t BgL_strz00_1989)
{
{ /* Llib/binary.scm 156 */
{ /* Llib/binary.scm 157 */
 obj_t BgL_auxz00_2083;
if(
STRINGP(BgL_strz00_1989))
{ /* Llib/binary.scm 157 */
BgL_auxz00_2083 = BgL_strz00_1989
; }  else 
{ 
 obj_t BgL_auxz00_2086;
BgL_auxz00_2086 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1661z00zz__binaryz00, 
BINT(6218L), BGl_string1665z00zz__binaryz00, BGl_string1663z00zz__binaryz00, BgL_strz00_1989); 
FAILURE(BgL_auxz00_2086,BFALSE,BFALSE);} 
return 
BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(BgL_auxz00_2083);} } 

}



/* close-binary-port */
BGL_EXPORTED_DEF obj_t BGl_closezd2binaryzd2portz00zz__binaryz00(obj_t BgL_portz00_7)
{
{ /* Llib/binary.scm 162 */
BGL_TAIL return 
close_binary_port(BgL_portz00_7);} 

}



/* &close-binary-port */
obj_t BGl_z62closezd2binaryzd2portz62zz__binaryz00(obj_t BgL_envz00_1990, obj_t BgL_portz00_1991)
{
{ /* Llib/binary.scm 162 */
{ /* Llib/binary.scm 163 */
 obj_t BgL_auxz00_2092;
if(
BINARY_PORTP(BgL_portz00_1991))
{ /* Llib/binary.scm 163 */
BgL_auxz00_2092 = BgL_portz00_1991
; }  else 
{ 
 obj_t BgL_auxz00_2095;
BgL_auxz00_2095 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1661z00zz__binaryz00, 
BINT(6515L), BGl_string1666z00zz__binaryz00, BGl_string1667z00zz__binaryz00, BgL_portz00_1991); 
FAILURE(BgL_auxz00_2095,BFALSE,BFALSE);} 
return 
BGl_closezd2binaryzd2portz00zz__binaryz00(BgL_auxz00_2092);} } 

}



/* flush-binary-port */
BGL_EXPORTED_DEF obj_t BGl_flushzd2binaryzd2portz00zz__binaryz00(obj_t BgL_portz00_8)
{
{ /* Llib/binary.scm 168 */
BGL_TAIL return 
bgl_flush_binary_port(BgL_portz00_8);} 

}



/* &flush-binary-port */
obj_t BGl_z62flushzd2binaryzd2portz62zz__binaryz00(obj_t BgL_envz00_1992, obj_t BgL_portz00_1993)
{
{ /* Llib/binary.scm 168 */
{ /* Llib/binary.scm 169 */
 obj_t BgL_auxz00_2101;
if(
BINARY_PORTP(BgL_portz00_1993))
{ /* Llib/binary.scm 169 */
BgL_auxz00_2101 = BgL_portz00_1993
; }  else 
{ 
 obj_t BgL_auxz00_2104;
BgL_auxz00_2104 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1661z00zz__binaryz00, 
BINT(6808L), BGl_string1668z00zz__binaryz00, BGl_string1667z00zz__binaryz00, BgL_portz00_1993); 
FAILURE(BgL_auxz00_2104,BFALSE,BFALSE);} 
return 
BGl_flushzd2binaryzd2portz00zz__binaryz00(BgL_auxz00_2101);} } 

}



/* input-obj */
BGL_EXPORTED_DEF obj_t BGl_inputzd2objzd2zz__binaryz00(obj_t BgL_portz00_9)
{
{ /* Llib/binary.scm 174 */
BGL_TAIL return 
input_obj(BgL_portz00_9);} 

}



/* &input-obj */
obj_t BGl_z62inputzd2objzb0zz__binaryz00(obj_t BgL_envz00_1994, obj_t BgL_portz00_1995)
{
{ /* Llib/binary.scm 174 */
{ /* Llib/binary.scm 175 */
 obj_t BgL_auxz00_2110;
if(
BINARY_PORTP(BgL_portz00_1995))
{ /* Llib/binary.scm 175 */
BgL_auxz00_2110 = BgL_portz00_1995
; }  else 
{ 
 obj_t BgL_auxz00_2113;
BgL_auxz00_2113 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1661z00zz__binaryz00, 
BINT(7093L), BGl_string1669z00zz__binaryz00, BGl_string1667z00zz__binaryz00, BgL_portz00_1995); 
FAILURE(BgL_auxz00_2113,BFALSE,BFALSE);} 
return 
BGl_inputzd2objzd2zz__binaryz00(BgL_auxz00_2110);} } 

}



/* output-obj */
BGL_EXPORTED_DEF obj_t BGl_outputzd2objzd2zz__binaryz00(obj_t BgL_portz00_10, obj_t BgL_objz00_11)
{
{ /* Llib/binary.scm 180 */
BGL_TAIL return 
output_obj(BgL_portz00_10, BgL_objz00_11);} 

}



/* &output-obj */
obj_t BGl_z62outputzd2objzb0zz__binaryz00(obj_t BgL_envz00_1996, obj_t BgL_portz00_1997, obj_t BgL_objz00_1998)
{
{ /* Llib/binary.scm 180 */
{ /* Llib/binary.scm 181 */
 obj_t BgL_auxz00_2119;
if(
BINARY_PORTP(BgL_portz00_1997))
{ /* Llib/binary.scm 181 */
BgL_auxz00_2119 = BgL_portz00_1997
; }  else 
{ 
 obj_t BgL_auxz00_2122;
BgL_auxz00_2122 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1661z00zz__binaryz00, 
BINT(7375L), BGl_string1670z00zz__binaryz00, BGl_string1667z00zz__binaryz00, BgL_portz00_1997); 
FAILURE(BgL_auxz00_2122,BFALSE,BFALSE);} 
return 
BGl_outputzd2objzd2zz__binaryz00(BgL_auxz00_2119, BgL_objz00_1998);} } 

}



/* output-char */
BGL_EXPORTED_DEF obj_t BGl_outputzd2charzd2zz__binaryz00(obj_t BgL_portz00_12, unsigned char BgL_charz00_13)
{
{ /* Llib/binary.scm 186 */
return 
BGL_OUTPUT_CHAR(BgL_portz00_12, BgL_charz00_13);} 

}



/* &output-char */
obj_t BGl_z62outputzd2charzb0zz__binaryz00(obj_t BgL_envz00_1999, obj_t BgL_portz00_2000, obj_t BgL_charz00_2001)
{
{ /* Llib/binary.scm 186 */
{ /* Llib/binary.scm 187 */
 unsigned char BgL_auxz00_2135; obj_t BgL_auxz00_2128;
{ /* Llib/binary.scm 187 */
 obj_t BgL_tmpz00_2136;
if(
CHARP(BgL_charz00_2001))
{ /* Llib/binary.scm 187 */
BgL_tmpz00_2136 = BgL_charz00_2001
; }  else 
{ 
 obj_t BgL_auxz00_2139;
BgL_auxz00_2139 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1661z00zz__binaryz00, 
BINT(7669L), BGl_string1671z00zz__binaryz00, BGl_string1672z00zz__binaryz00, BgL_charz00_2001); 
FAILURE(BgL_auxz00_2139,BFALSE,BFALSE);} 
BgL_auxz00_2135 = 
CCHAR(BgL_tmpz00_2136); } 
if(
BINARY_PORTP(BgL_portz00_2000))
{ /* Llib/binary.scm 187 */
BgL_auxz00_2128 = BgL_portz00_2000
; }  else 
{ 
 obj_t BgL_auxz00_2131;
BgL_auxz00_2131 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1661z00zz__binaryz00, 
BINT(7669L), BGl_string1671z00zz__binaryz00, BGl_string1667z00zz__binaryz00, BgL_portz00_2000); 
FAILURE(BgL_auxz00_2131,BFALSE,BFALSE);} 
return 
BGl_outputzd2charzd2zz__binaryz00(BgL_auxz00_2128, BgL_auxz00_2135);} } 

}



/* output-byte */
BGL_EXPORTED_DEF obj_t BGl_outputzd2bytezd2zz__binaryz00(obj_t BgL_portz00_14, char BgL_charz00_15)
{
{ /* Llib/binary.scm 192 */
return 
BGL_OUTPUT_CHAR(BgL_portz00_14, BgL_charz00_15);} 

}



/* &output-byte */
obj_t BGl_z62outputzd2bytezb0zz__binaryz00(obj_t BgL_envz00_2002, obj_t BgL_portz00_2003, obj_t BgL_charz00_2004)
{
{ /* Llib/binary.scm 192 */
{ /* Llib/binary.scm 193 */
 char BgL_auxz00_2153; obj_t BgL_auxz00_2146;
{ /* Llib/binary.scm 193 */
 obj_t BgL_tmpz00_2154;
if(
INTEGERP(BgL_charz00_2004))
{ /* Llib/binary.scm 193 */
BgL_tmpz00_2154 = BgL_charz00_2004
; }  else 
{ 
 obj_t BgL_auxz00_2157;
BgL_auxz00_2157 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1661z00zz__binaryz00, 
BINT(7960L), BGl_string1673z00zz__binaryz00, BGl_string1674z00zz__binaryz00, BgL_charz00_2004); 
FAILURE(BgL_auxz00_2157,BFALSE,BFALSE);} 
BgL_auxz00_2153 = 
(signed char)CINT(BgL_tmpz00_2154); } 
if(
BINARY_PORTP(BgL_portz00_2003))
{ /* Llib/binary.scm 193 */
BgL_auxz00_2146 = BgL_portz00_2003
; }  else 
{ 
 obj_t BgL_auxz00_2149;
BgL_auxz00_2149 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1661z00zz__binaryz00, 
BINT(7960L), BGl_string1673z00zz__binaryz00, BGl_string1667z00zz__binaryz00, BgL_portz00_2003); 
FAILURE(BgL_auxz00_2149,BFALSE,BFALSE);} 
return 
BGl_outputzd2bytezd2zz__binaryz00(BgL_auxz00_2146, BgL_auxz00_2153);} } 

}



/* input-char */
BGL_EXPORTED_DEF obj_t BGl_inputzd2charzd2zz__binaryz00(obj_t BgL_portz00_16)
{
{ /* Llib/binary.scm 198 */
{ /* Llib/binary.scm 199 */
 int BgL_charz00_2050;
BgL_charz00_2050 = 
BGL_INPUT_CHAR(BgL_portz00_16); 
if(
BGL_INT_EOFP(BgL_charz00_2050))
{ /* Llib/binary.scm 200 */
return BEOF;}  else 
{ /* Llib/binary.scm 200 */
return 
BCHAR(
BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(
(long)(BgL_charz00_2050)));} } } 

}



/* &input-char */
obj_t BGl_z62inputzd2charzb0zz__binaryz00(obj_t BgL_envz00_2005, obj_t BgL_portz00_2006)
{
{ /* Llib/binary.scm 198 */
{ /* Llib/binary.scm 199 */
 obj_t BgL_auxz00_2169;
if(
BINARY_PORTP(BgL_portz00_2006))
{ /* Llib/binary.scm 199 */
BgL_auxz00_2169 = BgL_portz00_2006
; }  else 
{ 
 obj_t BgL_auxz00_2172;
BgL_auxz00_2172 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1661z00zz__binaryz00, 
BINT(8245L), BGl_string1675z00zz__binaryz00, BGl_string1667z00zz__binaryz00, BgL_portz00_2006); 
FAILURE(BgL_auxz00_2172,BFALSE,BFALSE);} 
return 
BGl_inputzd2charzd2zz__binaryz00(BgL_auxz00_2169);} } 

}



/* output-string */
BGL_EXPORTED_DEF obj_t BGl_outputzd2stringzd2zz__binaryz00(obj_t BgL_portz00_17, obj_t BgL_stringz00_18)
{
{ /* Llib/binary.scm 207 */
return 
BINT(
bgl_output_string(BgL_portz00_17, BgL_stringz00_18));} 

}



/* &output-string */
obj_t BGl_z62outputzd2stringzb0zz__binaryz00(obj_t BgL_envz00_2007, obj_t BgL_portz00_2008, obj_t BgL_stringz00_2009)
{
{ /* Llib/binary.scm 207 */
{ /* Llib/binary.scm 208 */
 obj_t BgL_auxz00_2186; obj_t BgL_auxz00_2179;
if(
STRINGP(BgL_stringz00_2009))
{ /* Llib/binary.scm 208 */
BgL_auxz00_2186 = BgL_stringz00_2009
; }  else 
{ 
 obj_t BgL_auxz00_2189;
BgL_auxz00_2189 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1661z00zz__binaryz00, 
BINT(8609L), BGl_string1676z00zz__binaryz00, BGl_string1663z00zz__binaryz00, BgL_stringz00_2009); 
FAILURE(BgL_auxz00_2189,BFALSE,BFALSE);} 
if(
BINARY_PORTP(BgL_portz00_2008))
{ /* Llib/binary.scm 208 */
BgL_auxz00_2179 = BgL_portz00_2008
; }  else 
{ 
 obj_t BgL_auxz00_2182;
BgL_auxz00_2182 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1661z00zz__binaryz00, 
BINT(8609L), BGl_string1676z00zz__binaryz00, BGl_string1667z00zz__binaryz00, BgL_portz00_2008); 
FAILURE(BgL_auxz00_2182,BFALSE,BFALSE);} 
return 
BGl_outputzd2stringzd2zz__binaryz00(BgL_auxz00_2179, BgL_auxz00_2186);} } 

}



/* input-string */
BGL_EXPORTED_DEF obj_t BGl_inputzd2stringzd2zz__binaryz00(obj_t BgL_portz00_19, int BgL_lenz00_20)
{
{ /* Llib/binary.scm 213 */
BGL_TAIL return 
bgl_input_string(BgL_portz00_19, BgL_lenz00_20);} 

}



/* &input-string */
obj_t BGl_z62inputzd2stringzb0zz__binaryz00(obj_t BgL_envz00_2010, obj_t BgL_portz00_2011, obj_t BgL_lenz00_2012)
{
{ /* Llib/binary.scm 213 */
{ /* Llib/binary.scm 214 */
 int BgL_auxz00_2202; obj_t BgL_auxz00_2195;
{ /* Llib/binary.scm 214 */
 obj_t BgL_tmpz00_2203;
if(
INTEGERP(BgL_lenz00_2012))
{ /* Llib/binary.scm 214 */
BgL_tmpz00_2203 = BgL_lenz00_2012
; }  else 
{ 
 obj_t BgL_auxz00_2206;
BgL_auxz00_2206 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1661z00zz__binaryz00, 
BINT(8904L), BGl_string1677z00zz__binaryz00, BGl_string1674z00zz__binaryz00, BgL_lenz00_2012); 
FAILURE(BgL_auxz00_2206,BFALSE,BFALSE);} 
BgL_auxz00_2202 = 
CINT(BgL_tmpz00_2203); } 
if(
BINARY_PORTP(BgL_portz00_2011))
{ /* Llib/binary.scm 214 */
BgL_auxz00_2195 = BgL_portz00_2011
; }  else 
{ 
 obj_t BgL_auxz00_2198;
BgL_auxz00_2198 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1661z00zz__binaryz00, 
BINT(8904L), BGl_string1677z00zz__binaryz00, BGl_string1667z00zz__binaryz00, BgL_portz00_2011); 
FAILURE(BgL_auxz00_2198,BFALSE,BFALSE);} 
return 
BGl_inputzd2stringzd2zz__binaryz00(BgL_auxz00_2195, BgL_auxz00_2202);} } 

}



/* input-fill-string! */
BGL_EXPORTED_DEF int BGl_inputzd2fillzd2stringz12z12zz__binaryz00(obj_t BgL_portz00_21, obj_t BgL_strz00_22)
{
{ /* Llib/binary.scm 219 */
BGL_TAIL return 
bgl_input_fill_string(BgL_portz00_21, BgL_strz00_22);} 

}



/* &input-fill-string! */
obj_t BGl_z62inputzd2fillzd2stringz12z70zz__binaryz00(obj_t BgL_envz00_2013, obj_t BgL_portz00_2014, obj_t BgL_strz00_2015)
{
{ /* Llib/binary.scm 219 */
{ /* Llib/binary.scm 220 */
 int BgL_tmpz00_2213;
{ /* Llib/binary.scm 220 */
 obj_t BgL_auxz00_2221; obj_t BgL_auxz00_2214;
if(
STRINGP(BgL_strz00_2015))
{ /* Llib/binary.scm 220 */
BgL_auxz00_2221 = BgL_strz00_2015
; }  else 
{ 
 obj_t BgL_auxz00_2224;
BgL_auxz00_2224 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1661z00zz__binaryz00, 
BINT(9201L), BGl_string1678z00zz__binaryz00, BGl_string1663z00zz__binaryz00, BgL_strz00_2015); 
FAILURE(BgL_auxz00_2224,BFALSE,BFALSE);} 
if(
BINARY_PORTP(BgL_portz00_2014))
{ /* Llib/binary.scm 220 */
BgL_auxz00_2214 = BgL_portz00_2014
; }  else 
{ 
 obj_t BgL_auxz00_2217;
BgL_auxz00_2217 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1661z00zz__binaryz00, 
BINT(9201L), BGl_string1678z00zz__binaryz00, BGl_string1667z00zz__binaryz00, BgL_portz00_2014); 
FAILURE(BgL_auxz00_2217,BFALSE,BFALSE);} 
BgL_tmpz00_2213 = 
BGl_inputzd2fillzd2stringz12z12zz__binaryz00(BgL_auxz00_2214, BgL_auxz00_2221); } 
return 
BINT(BgL_tmpz00_2213);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__binaryz00(void)
{
{ /* Llib/binary.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__binaryz00(void)
{
{ /* Llib/binary.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__binaryz00(void)
{
{ /* Llib/binary.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__binaryz00(void)
{
{ /* Llib/binary.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(88804785L, 
BSTRING_TO_STRING(BGl_string1679z00zz__binaryz00)); 
BGl_modulezd2initializa7ationz75zz__intextz00(6305717L, 
BSTRING_TO_STRING(BGl_string1679z00zz__binaryz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(453939141L, 
BSTRING_TO_STRING(BGl_string1679z00zz__binaryz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(443005284L, 
BSTRING_TO_STRING(BGl_string1679z00zz__binaryz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(475449627L, 
BSTRING_TO_STRING(BGl_string1679z00zz__binaryz00)); 
return 
BGl_modulezd2initializa7ationz75zz__threadz00(149516032L, 
BSTRING_TO_STRING(BGl_string1679z00zz__binaryz00));} 

}

#ifdef __cplusplus
}
#endif
